Package org.opensaml.xmlsec.encryption.support

# Interface EncryptedKeyResolver

All Known Implementing Classes:
  `AbstractEncryptedKeyResolver`, `ChainingEncryptedKeyResolver`, `EncryptedElementTypeEncryptedKeyResolver`, `InlineEncryptedKeyResolver`, `SimpleKeyInfoReferenceEncryptedKeyResolver`, `SimpleRetrievalMethodEncryptedKeyResolver`

public interface EncryptedKeyResolver
Interface for resolving `EncryptedKey` elements based on a particular `EncryptedData` context, primarily for use during the decryption process. The resolved EncryptedKey element(s) will contain the data encryption key used to encrypt the specified EncryptedData.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getRecipients()`
Deprecated.
`default Iterable<EncryptedKey>`
`resolve(EncryptedData encryptedData)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.
`Iterable<EncryptedKey>`
`resolve(EncryptedData encryptedData, Set<String> recipients)`
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.

## Method Details

### resolve

@Nonnull default Iterable<EncryptedKey> resolve(@Nonnull EncryptedData encryptedData)
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.

Parameters:
  `encryptedData` - the EncryptedData element context in which to resolve
Returns:
  an iterable of EncryptedKey elements

### resolve

@Nonnull Iterable<EncryptedKey> resolve(@Nonnull EncryptedData encryptedData, @Nullable Set<String> recipients)
Resolve the EncryptedKey elements containing the data encryption key used to encrypt the specified EncryptedData element.

Parameters:
  `encryptedData` - the EncryptedData element context in which to resolve
  `recipients` - the recipients to use during resolution
Returns:
  an iterable of EncryptedKey elements

### getRecipients

@Deprecated @Nonnull @Unmodifiable @NotLive Set<String> getRecipients()
Deprecated.
Get the set of recipient criteria used by this resolver, and against which a candidate EncryptedKey's Recipient attribute is evaluated.

Returns:
  the collection of recipient criteria